import './math';
interface IObfuscateOptions {
    percentage?: number;
    minimum?: number;
    character?: string;
}
export declare class StringExtensions {
    asTemplate(values: object): string;
    hash(): string;
    hash(length: number): string;
    condenseWhitespace(): string;
    toPascalCase(): string;
    toCamelCase(): string;
    toVariableName(): string;
    countOf(value: string): number;
    obfuscate(): string;
    obfuscate(options: IObfuscateOptions): string;
}
export declare class StringConstructorExtensions {
    pluralize(strings: TemplateStringsArray, ...keys: (string | string[] | ((value: number) => string))[]): (value: number) => string;
}
export {};
