import { ISyncWithOptions } from './syncOptions';
export declare const MergeWithUpdateOperations: {
    UseTargetIfDifferent<T1, T2>(item1: T1, item2: T2): T1 | T2;
    KeepSource<T>(item1: T): T;
    KeepTarget<T1_1, T2_1>(_item1: T1_1, item2: T2_1): T2_1;
    Merge<T1_2, T2_2>(item1: T1_2, item2: T2_2): T1_2 & T2_2;
};
export interface IMergeWithOptions<T, P> extends ISyncWithOptions<T, P> {
    removeUnmatched?: boolean | ((item: T) => boolean);
    addNew?: boolean | ((item: P) => boolean);
    matchOrder?: boolean;
}
