import { CancellationCallback } from './models';
export declare class CancellationToken {
    private constructor();
    static create(): CancellationToken;
    private _isCancelled;
    private _reason;
    private _callbacks;
    private _isDisposed;
    get isCancelled(): boolean;
    get reason(): string | undefined;
    cancel(): void;
    cancel(reason: string): void;
    onCancelled(callback: CancellationCallback): boolean;
    dispose(): void;
    private callAllCallbacks;
}
