interface IConfig {
    name?: string;
    message: string;
    code?: number;
    info?: object;
    internalError?: Error;
}
export declare class BaseError extends Error {
    protected constructor(config: IConfig, self: Function);
    name: string;
    code: number;
    info: object | undefined;
    internalError: Error | undefined;
    protected toJSON(): {
        name: string;
        message: string;
        code: number;
        info: string | undefined;
        internalError: Error | undefined;
        stack: string | undefined;
    };
}
export {};
