import './object';
import { MapOf } from './global';
declare class MapExtensions<K, V> {
    toArray(): [K, V][];
    toKeysArray(): K[];
    toValuesArray(): V[];
}
declare class MapConstructorExtensions {
    fromPlainObject<V>(object: MapOf<V>): Map<string, V>;
}
declare global {
    interface Map<K, V> extends MapExtensions<K, V> {
    }
    interface MapConstructor extends MapConstructorExtensions {
    }
}
export {};
